﻿@page
@model ConfirmCodeForgetPasswordModel
@{
    ViewData["Title"] = "تائید شماره موبایل";
}

<div id="registerFormWrapper">
    <div class="container" id="RegisterForm">
        <div class="card bg-light">
            <article data-aos="fade-right" data-aos-duration="1000" data-aos-once="true" class="card-body mx-auto" style="max-width: 400px;">
                <h4 class="card-title mt-3 text-center">تائید شماره تلفن همراه</h4>
              
                <p style="font-size:13px;font-weight:400;">کد تائید به شماره <span>
                        @{ 
                            string Mobile = TempData["Mobile"] != null ? TempData["Mobile"].ToString() : "";
                            @Mobile
                        }
                        </span>ارسال گردید .</p>


                <form id="account" method="post">
                    <div asp-validation-summary="All" class="text-danger"></div>

                    <p style="font-weight: 500;font-size: 13px;color: #6e1529;">کاربر گرامی لطفا از صفحه کلید انگلیسی استفاده نمائید .</p>
                    <div class="form-group input-group">
                        <input type="text" asp-for="Code" class="form-control login" placeholder="کد تائید را وارد نمائید" />
                        <div class="input-group-prepend">
                            <span class="input-group-text"> <i class="fa fa-info-circle"></i> </span>
                        </div>
                    </div>

                    @{
                        string userID = TempData["userID"] != null ? TempData["userID"].ToString() : "";
                    }


                    <div class="form-group" style="text-align:center;direction:rtl;position:relative;">
                        <input type="hidden" value="@userID" name="UserID" id="UserID" />
                        <a id="Resend" style="display:inline-block;font-size:13px;text-align:center;">دریافت مجدد کد تائید</a>
                        <span id="Counter" style="font-size:14px; position:absolute;left:66px;top:4px;font-weight:400;">60</span>
                    </div>

                    <div class="form-group">
                        <button style="padding-bottom:6px;" type="submit" class="btn btn-success  login">تائید کد</button>
                    </div>
                </form>

            </article>
        </div>
    </div>
</div>

@section Scripts {

    <partial name="_ValidationScriptsPartial" />

    <script>
        $(document).ready(function () {

            var myVar = setInterval(setTime, 1000);

            function setTime() {

                if (Number($("#Counter").text()) > 0) {
                    $("#Counter").text(Number($("#Counter").text()) - 1)
                }
                else
                {
                    clearInterval(myVar);
                    $("#Resend").html("<a id='Confirm-code' style='cursor:pointer;font-weight: 500;'>دریافت مجدد کد تائید</a>");
                    $("#Counter").text(" ")
                }             
            }


            $(document).on('click', '#Confirm-code', function () {

               $.ajax({
                        type: "POST",
                        url: "/Identity/Account/Register?handler=Resent",
                        headers:
                        {
                            "RequestVerificationToken": $('input:hidden[name="__RequestVerificationToken"]').val()
                        },
                        data: {
                            Id: $("#UserID").val()
                        },
                         success: function (response) {
                          console.log(response)          
                        }
            });
            });

        });
    </script>
}





